package com.hungraim.ltc.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.dao.SrvModeMapper;
import com.hungraim.ltc.dao.SrvOrganMapper;
import com.hungraim.ltc.pojo.vo.disable.SrvModeVo;
import com.hungraim.ltc.pojo.vo.disable.SrvOrganListVo;
import com.hungraim.ltc.service.OrganService;
import com.hungraim.ltc.service.SrvOrganService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
@AllArgsConstructor
public class SrvOrganServiceImpl implements SrvOrganService {

    private final SrvOrganMapper srvOrganMapper;

    private final OrganService organService;

    private final SrvModeMapper srvModeMapper;


    @Override
    public Page<SrvOrganListVo> getSrvOrganList(Page<SrvOrganListVo> page, Long organId, Boolean isInvolveChild, String creditCode, String srvOrganName) {
        List<Long> organIds = organService.getOrganIds(organId, isInvolveChild);
        Page<SrvOrganListVo> srvOrganList = srvOrganMapper.getSrvOrganList(page, organIds, creditCode, srvOrganName);
        List<SrvOrganListVo> records = srvOrganList.getRecords();
        if (records != null && records.size() > 0) {
            for (SrvOrganListVo srvOrganListVo : records) {
                String srvType = srvOrganListVo.getSrvType();
                if (StrUtil.isNotBlank(srvType)) {
                    String[] split = srvType.split(",");
                    List<Integer> modeIds = new ArrayList<>();
                    for (String s : split) {
                        modeIds.add(Integer.parseInt(s));
                    }
                    // 去查询对应的服务方式
                    List<SrvModeVo> srvModeVos = srvModeMapper.selectByModeIds(modeIds);
                    srvOrganListVo.setSrvModeVos(srvModeVos);
                }
            }
        }
        return srvOrganList;
    }


}
